%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-findup-sync
Version:        0.3.0
Release:        %mkrel 2
Summary:        Find the first file matching a given pattern

License:        MIT
Group:          System/Libraries
URL:            https://github.com/js-cli/node-findup-sync
Source0:        https://github.com/js-cli/node-findup-sync/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch


BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(glob)
BuildRequires:  npm(lodash)
%endif

%description
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.


%prep
%autosetup -n node-findup-sync-%{version}
%nodejs_fixdep glob '^6.0.3'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/findup-sync
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/findup-sync
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/findup-sync



%changelog
* Mon May 16 2016 neoclust <neoclust> 0.3.0-2.mga6
+ Revision: 1016161
- New version 0.3.0

* Mon Feb 08 2016 umeabot <umeabot> 0.1.3-2.mga6
+ Revision: 950279
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.1.3-1.mga5
+ Revision: 793654
- imported package nodejs-findup-sync

